Subject: Re: bug report : 2.3.5 ssh repo not found

From: Torsten Bögershausen <[email-masked]>
Date: Sat, 25 Apr 2015 23:34:45 +0200

On 2015-04-25 07.57, Chris wrote:
> Hello,
> 
> Using git version 2.3.5 with kernel 3.19.3-3-ARCH #1 SMP PREEMPT x86_64 I see the following error message when pulling or cloning a repo over ssh:
> 
> """
> git clone ssh://user@mydomain:/home/user/path/to/project.git
> Cloning into 'project'...
> ssh: Could not resolve hostname mydomain:: Name or service not known
> fatal: Could not read from remote repository.
> 
> Please make sure you have the correct access rights
> and the repository exists.
> """
> 
> Obviously I changed the url to hide credential info
> 
> After ensuring DNS was OK and being able to ssh to that instance directly I tried downgrading git to my distro's last installed version of git version 2.2.2 and now I can clone / pull / push to/from that repo without issue.
> 
> Is this a bug?
> 
> Best,
> Chris

It's a know issue/bug, sorry for the inconvenience.

There are 2 options:
Either:

change the URL
git clone ssh://user@mydomain:/home/user/path/to/project.git
into
git clone ssh://user@mydomain/home/user/path/to/project.git

(In other words, remove the ':' after the hostname)

Or
Compile Git yourself from the latest git.git/master, which has this fix:

commit 9718c7c0c2a92585729d0f2e05ebf2c44b0cc56a
Merge: a59ac46 6b6c5f7
Author: Junio C Hamano <[email-masked]>
Date:   Mon Apr 20 15:28:33 2015 -0700

    Merge branch 'tb/connect-ipv6-parse-fix'
    
    An earlier update to the parser that disects an address broke an
    address, followed by a colon, followed by an empty string (instead
    of the port number).
    
    * tb/connect-ipv6-parse-fix:
      connect.c: ignore extra colon after hostname